API Reference
Coop Desktop
Generate registration tokens and manage connected Macs.
POST /api/v1/tenants/:tenantId/relay-tokens
Generate a registration token for connecting a new Mac.
Response 201
{
"token": "rtkn_abc123...",
"expiresAt": "2025-01-15T11:00:00Z"
}Tokens expire in 30 minutes.
GET /api/v1/relays
List all connected Macs.
Response 200
{
"data": [
{
"id": "relay_001",
"name": "Office Mac Mini",
"status": "online",
"lastHeartbeat": "2025-01-15T10:29:30Z",
"systemInfo": {
"macosVersion": "15.2",
"hostname": "office-mac-mini"
},
"registeredAt": "2025-01-10T08:00:00Z"
}
]
}Status values
| Status | Description |
|---|---|
online | Connected and processing messages |
offline | Heartbeat timed out |
GET /api/v1/relays/:id
Get detailed info for a single Mac, including health metrics (CPU, memory, message throughput, queue depth).